Package Details: img4tool-git r172.c1a0c04-1

Git Clone URL: https://aur.archlinux.org/img4tool-git.git (read-only)
Package Base: img4tool-git
Description: Tool for manipulating IMG4, IM4M and IM4P files
Upstream URL: https://github.com/tihmstar/img4tool
Licenses: LGPL3
Conflicts: img4tool
Provides: img4tool
Submitter: onny
Maintainer: 0x9fff00
Last Packager: 0x9fff00
Votes: 0
Popularity: 0.000000
First Submitted: 2019-10-05 09:11
Last Updated: 2019-12-02 17:25

Latest Comments

0x9fff00 commented on 2019-11-08 22:03

  • It's not necessary to duplicate maintainer in contributor list
  • libplist should be depends, not makedepends
  • Should depend on libgeneral and openssl
  • Since this is a git vcs package, it needs to have git in makedepends, img4tool in provides and conflicts, and a pkgver function
  • Prefix should be moved to ./autogen.sh command to avoid namcap error:
img4tool-git E: Insecure RPATH '/usr/local/lib' in file ('usr/bin/img4tool')

Here is a patch that fixes this: https://gist.github.com/0x9fff00/2a3257d269de50babe52b14bbfaa4bc7

Severus commented on 2019-11-08 15:44

The source code changed, please update pkgbuild and add libgeneral as denpendencies